Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jivesoftware.database
Annotation Type JiveID

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface JiveID

Used to specify what jive id an object should have

Author:
  Andrew Wright

Required Element Summary
`int` | `value` should return the int type for this object

Element Detail

### value

    public abstract int value

  should return the int type for this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2003-2007 Jive Software.